--[[----------------------------------------------------------------------------

Info.lua
Summary information for Leica tether plug-in

--------------------------------------------------------------------------------

ADOBE SYSTEMS INCORPORATED
 Copyright 2007 Adobe Systems Incorporated
 All Rights Reserved.

NOTICE: Adobe permits you to use, modify, and distribute this file in accordance
with the terms of the Adobe license agreement accompanying it. If you have received
this file from a source other than Adobe, then your use, modification, or distribution
of it requires the prior written permission of Adobe.


------------------------------------------------------------------------------]]

if not LOC then LOC = ZSTR end

if false then
	-- silence lint on Mac
	declare "system_info"
end

return {

	LrSdkVersion = 3.0,
	LrSdkMinimumVersion = 3.0, -- minimum SDK version required by this plug-in

	LrToolkitIdentifier = 'com.adobe.lightroom.tether.leica',
	
	LrPluginName = LOC "$$$/Tether/Plugin/Leica/PluginName=Leica Tethered Plugin",
	
	LrCameraTetherServiceProvider = {
		title = LOC "$$$/Tether/Plugin/Leica=Leica Tether Plugin",
		file = 'LeicaTetherServiceProvider.lua',
		enableHeartBeatChecks = true,
	},

	VERSION = { major=1, minor=1, revision=0, build=760, },
	
	isIncompatibleWithSystem = WIN_ENV and not system_info.isVistaOrLater,
}

